Debian Bug report logs - #525515
xorg: uninstallable on GNU/kFreeBSD and hurd due to depends on hal, console-setup

version graph

Package: xorg; Maintainer for xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xorg is src:xorg.

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Sat, 25 Apr 2009 06:54:01 UTC

Severity: important

Tags: wontfix

Found in version xorg/1:7.4+1

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#525515; Package xorg. (Sat, 25 Apr 2009 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 25 Apr 2009 06:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: xorg: uninstallable on GNU/kFreeBSD, hurd
Date: Sat, 25 Apr 2009 09:19:16 +0200 (CEST)
Package: xorg
Severity: important
Version: 1:7.4+1
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Hi,

the current version of xserver-xorg is uninstallable on GNU/kFreeBSD.

The problematic parts are Depends:
 hal (>= 0.5.12~git20090406),
 console-setup (>= 1.29),

The hal is lacking behind on GNU/kFreeBSD, it does not even exist on hurd,
the console-setup depends on Linux specific package.

Would be possible to restore previous behaviour and use configuration 
of input devices from /etc/X11/xorg.conf on non-linux architectures
and restrict these depends only for Linux arhitectures ?

Thanks in advance

                        Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#525515; Package xorg. (Tue, 28 Apr 2009 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 28 Apr 2009 14:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 525515@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 525515@bugs.debian.org
Subject: Re: Bug#525515: xorg: uninstallable on GNU/kFreeBSD, hurd
Date: Tue, 28 Apr 2009 16:33:40 +0200
On Sat, Apr 25, 2009 at 09:19:16 +0200, Petr Salinger wrote:

> Would be possible to restore previous behaviour and use configuration of 
> input devices from /etc/X11/xorg.conf on non-linux architectures
> and restrict these depends only for Linux arhitectures ?

No.  Other architectures need to catch up.

Cheers,
Julien




Changed Bug title to `xorg: uninstallable on GNU/kFreeBSD and hurd due to depends on hal, console-setup' from `xorg: uninstallable on GNU/kFreeBSD, hurd'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 28 Apr 2009 15:09:08 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 28 Apr 2009 15:09:09 GMT) Full text and rfc822 format available.

Blocking bugs of 525515 added: 524477 Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 28 Apr 2009 15:09:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#525515; Package xorg. (Tue, 28 Apr 2009 15:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Tue, 28 Apr 2009 15:09:12 GMT) Full text and rfc822 format available.

Message #21 received at 525515-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: control@bugs.debian.org
Cc: 525515-quiet@bugs.debian.org
Subject: Re: Bug#525515: xorg: uninstallable on GNU/kFreeBSD, hurd
Date: Tue, 28 Apr 2009 17:32:32 +0200 (CEST)
retitle  525515 xorg: uninstallable on GNU/kFreeBSD and hurd due to depends on hal, console-setup
tags 525515 +wontfix
block 525515 by 524477




Blocking bugs of 525515 added: 515214 Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 30 Apr 2009 12:09:03 GMT) Full text and rfc822 format available.

Blocking bugs of 525515 added: 523960 Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 30 Apr 2009 12:24:03 GMT) Full text and rfc822 format available.

Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. (Sun, 07 Mar 2010 12:15:07 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 12:15:07 GMT) Full text and rfc822 format available.

Message #30 received at 525515-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 525515-done@bugs.debian.org
Subject: Re: Bug#525515: xorg: uninstallable on GNU/kFreeBSD, hurd
Date: Sun, 7 Mar 2010 13:13:31 +0100
On Sat, Apr 25, 2009 at 09:19:16AM +0200, Petr Salinger wrote:
> Package: xorg
> Severity: important
> Version: 1:7.4+1
> User: glibc-bsd-devel@lists.alioth.debian.org
> Usertags: kfreebsd
> 
> Hi,
> 
> the current version of xserver-xorg is uninstallable on GNU/kFreeBSD.
> 
> The problematic parts are Depends:
>  hal (>= 0.5.12~git20090406),
>  console-setup (>= 1.29),

Closing this wontfix bug that's irrelevant now.

Brice





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Apr 2010 07:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:50:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.